Bug 1756854 - [abrt] gnome-shell: meta_shaped_texture_set_snippet(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: meta_shaped_texture_set_snippet(): gnome-shell killed by ...
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 32
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:06ba3f779f5e85f0bf8a326f43a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-30 06:30 UTC by David Hicks
Modified: 2020-02-11 17:53 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)
File: backtrace (34.29 KB, text/plain)
2019-09-30 06:30 UTC, David Hicks
no flags Details
File: core_backtrace (63.39 KB, text/plain)
2019-09-30 06:30 UTC, David Hicks
no flags Details
File: cpuinfo (2.29 KB, text/plain)
2019-09-30 06:30 UTC, David Hicks
no flags Details
File: dso_list (24.50 KB, text/plain)
2019-09-30 06:30 UTC, David Hicks
no flags Details
File: environ (1.36 KB, text/plain)
2019-09-30 06:30 UTC, David Hicks
no flags Details
File: exploitable (82 bytes, text/plain)
2019-09-30 06:30 UTC, David Hicks
no flags Details
File: limits (1.29 KB, text/plain)
2019-09-30 06:30 UTC, David Hicks
no flags Details
File: maps (147.49 KB, text/plain)
2019-09-30 06:31 UTC, David Hicks
no flags Details
File: mountinfo (2.44 KB, text/plain)
2019-09-30 06:31 UTC, David Hicks
no flags Details
File: open_fds (11.09 KB, text/plain)
2019-09-30 06:31 UTC, David Hicks
no flags Details
File: proc_pid_status (1.34 KB, text/plain)
2019-09-30 06:31 UTC, David Hicks
no flags Details
File: var_log_messages (1.57 KB, text/plain)
2019-09-30 06:31 UTC, David Hicks
no flags Details

Description David Hicks 2019-09-30 06:30:44 UTC
Version-Release number of selected component:
gnome-shell-3.34.0-3.fc32

Additional info:
reporter:       libreport-2.10.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/gnome-shell-wayland.service
cmdline:        /usr/bin/gnome-shell
crash_function: meta_shaped_texture_set_snippet
executable:     /usr/bin/gnome-shell
journald_cursor: s=772feafc450747ad9a5eff6364dc6635;i=3904c;b=200b42faaa8c4e28b704d4c28cb67ce4;m=50c631695;t=593beeaddbf2d;x=3735580b217ea1d3
kernel:         5.4.0-0.rc0.git6.1.fc32.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 0 (8 frames)
 #0 meta_shaped_texture_set_snippet at ../src/compositor/meta-shaped-texture.c:967
 #1 meta_wayland_surface_apply_pending_state at ../src/wayland/meta-wayland-surface.c:741
 #2 ffi_call_unix64 at ../src/x86/unix64.S:76
 #3 ffi_call at ../src/x86/ffi64.c:525
 #4 wl_closure_invoke at src/connection.c:1014
 #5 wl_client_connection_data at src/wayland-server.c:429
 #6 wl_event_loop_dispatch at src/event-loop.c:641
 #7 wayland_event_source_dispatch at ../src/wayland/meta-wayland.c:90

Comment 1 David Hicks 2019-09-30 06:30:49 UTC
Created attachment 1620966 [details]
File: backtrace

Comment 2 David Hicks 2019-09-30 06:30:51 UTC
Created attachment 1620967 [details]
File: core_backtrace

Comment 3 David Hicks 2019-09-30 06:30:53 UTC
Created attachment 1620968 [details]
File: cpuinfo

Comment 4 David Hicks 2019-09-30 06:30:55 UTC
Created attachment 1620969 [details]
File: dso_list

Comment 5 David Hicks 2019-09-30 06:30:56 UTC
Created attachment 1620970 [details]
File: environ

Comment 6 David Hicks 2019-09-30 06:30:58 UTC
Created attachment 1620971 [details]
File: exploitable

Comment 7 David Hicks 2019-09-30 06:30:59 UTC
Created attachment 1620972 [details]
File: limits

Comment 8 David Hicks 2019-09-30 06:31:02 UTC
Created attachment 1620973 [details]
File: maps

Comment 9 David Hicks 2019-09-30 06:31:04 UTC
Created attachment 1620974 [details]
File: mountinfo

Comment 10 David Hicks 2019-09-30 06:31:05 UTC
Created attachment 1620975 [details]
File: open_fds

Comment 11 David Hicks 2019-09-30 06:31:07 UTC
Created attachment 1620976 [details]
File: proc_pid_status

Comment 12 David Hicks 2019-09-30 06:31:08 UTC
Created attachment 1620977 [details]
File: var_log_messages

Comment 13 David Hicks 2019-09-30 11:14:22 UTC
Reported upstream at https://gitlab.gnome.org/GNOME/mutter/issues/838

Comment 14 David Hicks 2019-10-04 00:41:07 UTC
Fixed/closed upstream see https://gitlab.gnome.org/GNOME/mutter/issues/838

Comment 15 Ben Cotton 2020-02-11 17:53:34 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.


Note You need to log in before you can comment on or make changes to this bug.